import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, BaseFragment as $64$luvio_engine_BaseFragment, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "7df04f81d9b64d7cdebf01b86018ba25";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: CdpQueryDataOutputRepresentation, existing: CdpQueryDataOutputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): CdpQueryDataOutputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_BaseFragment;
export declare function equals(existing: CdpQueryDataOutputRepresentationNormalized, incoming: CdpQueryDataOutputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: CdpQueryDataOutputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Represents Cdp Query Data Output
 *
 * Keys:
 *    (none)
 */
export interface CdpQueryDataOutputRepresentationNormalized {
    /** Result data set */
    data: Array<unknown>;
}
/**
 * Represents Cdp Query Data Output
 *
 * Keys:
 *    (none)
 */
export interface CdpQueryDataOutputRepresentation {
    data: Array<unknown>;
}
